librevenge::Storage Class Reference documentation

Public Types | Public Member Functions | Private Member Functions | Private Attributes | Friends | List of all members
librevenge::Storage Class Reference

`#include <RVNGOLEStream.h>`

## Public Types
enum | Result { Ok, OpenFailed, NotOLE, BadOLE, UnknownError }

## Public Member Functions
| Storage (RVNGInputStream *is)
| Constructs a storage with data. More...
| ~Storage ()
| Destroys the storage. More...
bool | isStructured ()
| Checks whether the storage is OLE2 storage. More...
std::vector< std::string > | getSubStreamNamesList ()
| Returns the list of substream name. More...
Result | result ()
| Returns the error code of last operation. More...

## Private Member Functions
| Storage (const Storage &)
Storage & | operator= (const Storage &)

## Private Attributes
IStorage * | m_io

## Friends
class | Stream

## Member Enumeration Documentation

## ◆ Result

enum librevenge::Storage::Result

Enumerator
Ok |
OpenFailed |
NotOLE |
BadOLE |
UnknownError |

## Constructor & Destructor Documentation

## ◆ Storage() [1/2]

librevenge::Storage::Storage | ( | RVNGInputStream * | is | ) |

Constructs a storage with data.

## ◆ ~Storage()

librevenge::Storage::~Storage | ( |  | ) |

Destroys the storage.

## ◆ Storage() [2/2]

librevenge::Storage::Storage | ( | const Storage & |  | ) |
| private

## Member Function Documentation

## ◆ getSubStreamNamesList()

std::vector< std::string > librevenge::Storage::getSubStreamNamesList | ( |  | ) |

Returns the list of substream name.

Referenced by librevenge::RVNGFileStream::isStructured(), and librevenge::RVNGStringStream::isStructured().

## ◆ isStructured()

bool librevenge::Storage::isStructured | ( |  | ) |

Checks whether the storage is OLE2 storage.

Referenced by librevenge::RVNGFileStream::isStructured(), and librevenge::RVNGStringStream::isStructured().

## ◆ operator=()

Storage& librevenge::Storage::operator= | ( | const Storage & |  | ) |
| private

## ◆ result()

librevenge::Storage::Result librevenge::Storage::result | ( |  | ) |

Returns the error code of last operation.

Referenced by librevenge::RVNGFileStream::getSubStreamByName(), and librevenge::RVNGStringStream::getSubStreamByName().

## Friends And Related Function Documentation

## ◆ Stream

friend class Stream
| friend

## Member Data Documentation

## ◆ m_io

IStorage* librevenge::Storage::m_io
| private

Referenced by Storage(), and librevenge::Stream::Stream().

The documentation for this class was generated from the following files:

- RVNGOLEStream.h
- RVNGOLEStream.cpp